<?php

function last_node_admin_settings() {
  $node_types = last_node_get_name('');

  $form['last_node_choice'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#title' => t('Content type')
  );

  $form['last_node_choice']['last_node_check'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Select the content type'),
    '#description' => t('This enable the pages shown under last_node/ and the blocks Last 10 for content type.'),
    '#default_value' => variable_get('last_node_check', array()),
    '#options' => $node_types,
    '#required' => TRUE,
  );
/*
  $form['last_node_images'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#title' => t('Images for your nodes (Relative path)'),
  );

  foreach ($node_types as $type => $label) {
    $form['last_node_images']["last_node_imagenode_$type"] = array(
      '#type' => 'textfield',
      '#title' => t('Image for %label (Relative Path)', array('%label' => $label)),
      '#default_value' => variable_get('last_node_imagenode_'. $type, ''),
      '#size' => 32,'#maxlength' => 128,
      '#description' => t('It is the Image associated with each content %label that display in your last_node/ page', array('%label' => $label)),
    );
  }
 */
  $form['last_node_other'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#title' => t('Other Settings'));

  $form['last_node_other']['last_node_hide_block_for_type'] = array(
    '#type' => 'checkbox',
    '#title' => t('Auto-Hide your block Last 10 for content type'),
    '#description' => t('These blocks will show only when a node of the same type is full displayed'),
    '#default_value' => variable_get('last_node_hide_block_for_type', FALSE));

  return system_settings_form($form);
}

?>
