<?php

function theme_last_node_marquee($items = array(), $params = array()) {
  if (!is_array($params['attributes'])) {
    $params['attributes'] = array();
  }

  $params['attributes'] += array(
    'direction' => 'up',
    'scrollamount' => '1',
    'scrolldelay' => '1',
  );

  array_walk($params['attributes'], create_function('&$i,$k','$i="$k=\"$i\"";'));
  
  $attributes = implode(' ', $params['attributes']);
  $output = implode($params['separator'], $items);

  return "<marquee class=\"last-node-marquee\" {$attributes} onMouseOver=\"this.stop()\" onMouseOut=\"this.start()\">{$output}</marquee>";
}

function theme_last_node_block_navigate_types($items = array()) {
  //return '<div class="last-node-type-list">' . theme('item_list', $items, NULL, 'ul', array('class' => 'last-node-type-list') ) . '</div>';
  return '<div class="last-node-type-list">' . theme('item_list', $items) . '</div>';
}

function theme_last_node_block_sticky_nodes($items = array()) {
  return '<div class="last-node-sticky-nodes">' . theme('item_list', $items) . '</div>';
}

function theme_last_node_block_banner($items = array()) {
  $params = array(
    'attributes' => array(
      'direction' => 'up',
    ),
    'separator' => '<br />-<br />',
  );
  return theme('last_node_marquee', $items, $params);
}

function theme_last_node_block_node_type($items = array(), $type = '') {
  $output = theme('item_list', $items);
  $output .= '<div class="more-link">' . l(t('Read More...'), 'last_node/' . $type, array('title' => t('Read More'))) . '</div>'; 

  return $output;
}

function theme_last_node_page_node_type($items = array()) {
  $output = '';
  foreach ($items as $nid) {
    $node = node_load($nid);
    $type = str_replace('_', '-', $node->type);
    $output .= "<div class=last-node-page-item-{$type}>" . node_view($node, TRUE) . '</div>'; 
  }
  $output .= theme('pager', NULL, variable_get('default_nodes_main', 10));

  return $output;
}
